import java.math.BigInteger;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.ArrayList;


public class Tester {	
	
	private ArrayList<String> items;
	
	public Tester(long count) {
		items = new ArrayList<String>();
		for(long i = 0; i < count; i++) {
			items.add(genItem());
		}
	}
	
	private String genItem() {										
		String s = Long.toString(System.currentTimeMillis());		
		MessageDigest m;
		try {
			m = MessageDigest.getInstance("MD5");
			m.update(s.getBytes(),0,s.length());
			s = new BigInteger(1,m.digest()).toString(16);
		} catch (NoSuchAlgorithmException e) {
			e.printStackTrace();
		}		
		return s;
	}	
	
	public String getItem(int index) {		
		return items.get(index);
	}
	
	public int getItemsCount() {
		return items.size();		
	}
	
}